Loading...
Searching...
No Matches
Opm::NumericalAquiferConnection Struct Reference

## Public Member Functions

| NumericalAquiferConnection (size_t i, size_t j, size_t k, size_t global_index, bool allow_connect_active, const DeckRecord &record)
bool | operator== (const NumericalAquiferConnection &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static std::map< size_t, std::map< size_t, NumericalAquiferConnection > > | generateConnections (const Deck &deck, const EclipseGrid &grid)

## Public Attributes

size_t | aquifer_id {}
size_t | I {}
size_t | J {}
size_t | K {}
size_t | global_index {}
FaceDir::DirEnum | face_dir {FaceDir::Unknown}
double | trans_multipler {}
int | trans_option {}
bool | connect_active_cell {false}
double | ve_frac_relperm {}
double | ve_frac_cappress {}

The documentation for this struct was generated from the following files:

- opm/input/eclipse/EclipseState/Aquifer/NumericalAquifer/NumericalAquiferConnection.hpp
- opm/input/eclipse/EclipseState/Aquifer/NumericalAquifer/NumericalAquiferConnection.cpp